import { FormSchema } from '@/components/Form/index';
import { getRoleAllList } from '@/api/system/role';
export const loadSelectData = async(res)=> {
  //这里可以进行数据转换处理
  return (await getRoleAllList({ ...res })).map((item, index) => {
    return {
      ...item,
      label:item.name,
      value:item.id,
      index,
    };
  });
}
export const schemas: FormSchema[] = [
  {
    field: 'username',
    component: 'Input',
    label: '用户名',
    componentProps: {
      placeholder: '请输入用户名',
    },
    rules: [{ required: true, message: '请输入用户名', trigger: ['blur'] }],
  },
  {
    field: 'mobile',
    component: 'Input',
    label: '手机号',
    componentProps: {
      placeholder: '请输入手机号码',
      controls: false,
    },
    rules: [{ required: true, message: '请输入手机号码', trigger: ['blur'] }],
  },
  {
    field: 'email',
    component: 'Input',
    label: '邮箱',
    componentProps: {
      placeholder: '请输入邮箱',
    },
    rules: [{ required: true, type: 'email', message: '请输入邮箱', trigger: ['change'] }],
  },
  {
    field: 'gender',
    component: 'Select',
    label: '性别',
    componentProps: {
      placeholder: '请选择性别',
      options: [
        {
          label: '男',
          value: 1,
        },
        {
          label: '女',
          value: 2,
        },
      ],
    },
  },

  {
    field: 'status',
    component: 'Select',
    label: '状态',
    componentProps: {
      placeholder: '请选择角色',
      options: [
        {
          label: '正常',
          value: "1",
        },
        {
          label: '禁用',
          value: "2",
        },
      ],
    },
  },
  {
    field: 'role',
    component: 'BasicSelect',
    label: '角色',
    componentProps: {
      placeholder: '请选择角色',
      block:true,
      request: loadSelectData,
      onChange: (e: any) => {
        console.log(e);
      },
    },
  },
  {
    field: 'account',
    component: 'Input',
    label: '登录账号',
    componentProps: {
      placeholder: '请输入登录账号',
    },
  },
  {
    field: 'password',
    label: '密码',
    slot: 'passwordSlot',
    showFeedback: false,
  },
  {
    field: 'rePassword',
    label: '确认密码',
    slot: 'rePasswordSlot',
    showFeedback: false,
  },
  {
    field: 'introduce',
    component: 'Input',
    label: '个人介绍',
    componentProps: {
      type: 'textarea',
      placeholder: '请输入登录账号',
    },
  },
];
